dskdump(1)

NAME
dskdump - Sector-level copy from one floppy or image file to another

SYNOPSIS
dskdump [-itype TYPE] [-otype TYPE] [-iside SIDE] [-oside SIDE] [-icomp COMP] [-ocomp COMP] [-idstep] [-odstep] [-retry COUNT] [-format FMT] [-first CYLINDER] [-last CYLINDER] INPUT-IMAGE OUTPUT-IMAGE

DESCRIPTION
Dskdump copies floppy discs or images, optionally converting image types. Unlike dsktrans(1), dskdump can handle discs with different numbers or sizes of sector on different tracks.

OPTIONS

-itype TYPE
    Determines which driver is to be used to read from the source disc.

    auto
        Select according to the disc image file. This is the default.

    dsk Use the DSK (CPCEmu format) image driver.

    edsk
        Use the extended version of the DSK format.

    floppy
        Use the floppy driver.

    myz80
        Use the hard disk (MYZ80 format) image driver. (This format cannot be autodetected.)

    cfi Use the CFI (DOS fdcopy format) image driver. (This format cannot be autodetected.)

    apridisk
        Use the ApriDisk image driver (from the utility of the same name). (This format cannot be autodetected.)

    raw Use the raw driver.

-otype TYPE
    Determines which driver is to be used to write to the destination disc. The drivers are as for -itype.

-icomp COMP
    Select the compression method used on the source disc image file (has no effect when reading a floppy disc).

    auto
        Detect from the first few bytes of the file. This is the default.

    sq  Huffman coded (SQ / USQ).

    gz  Gzipped (gzip / gunzip).

    bz2 Burrows-Wheeler compressed (bzip2 / bunzip2).

-ocomp COMP
    Select the compression to be used on output. Compression methods are as for -icomp, except that bz2 cannot be used.

-iside SIDE
    Determines which side (0 or 1) of the source disc is to be read from.

-oside SIDE
    Determines which side (0 or 1) of the destination disc is to be written to.

-idstep
    Double-step the source drive (used to read 360k discs in 1.2Mb drives). Only supported by the Linux floppy driver.

-odstep
    Double-step the destination drive (used to write 360k discs in 1.2Mb drives). Only supported by the Linux floppy driver.

-retry COUNT
    Set the number of times to attempt a read/write/format in case of error.

-format FMT
    Do not autodetect the disc format; use the named format. dskdump does not make extensive use of the disc format; it is chiefly used to provide a guess at the number of tracks to dump.

-first CYL
    Start copying at the specified cylinder. Cylinders prior to this will not be formatted or written.

-last CYL
    Copy up to and including the specified cylinder.

-odstep
    Double-step the destination drive (used to write 360k discs in 1.2Mb drives). Only supported by the Linux floppy driver.

SEE ALSO
dsktrans(1)

AUTHOR
John Elliott <seasip.webmaster@gmail.com>.